List glossaries
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/glossaries \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/glossaries"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/glossaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"name": "<string>",
"active": true,
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"internalId": 123,
"langs": [
"<string>"
],
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"profileCount": 123,
"profiles": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"locked": true,
"memsourceTranslate": {
"args": {},
"baseName": "DeepL",
"category": "PHRASE",
"charCount": 0,
"default_": true,
"enabled": true,
"glossarySupported": true,
"id": "12345",
"includeTags": false,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": false,
"name": "Phrase Language AI",
"type": "MEMSOURCE_TRANSLATE",
"uid": "8kMckeDcgWWF4Fe4Szqjb1"
},
"name": "<string>",
"uid": "<string>"
}
],
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Glossary
List glossaries
GET
/
api2
/
v1
/
glossaries
List glossaries
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Filter by glossary name
Language of the glossary
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Was this page helpful?
⌘I